{
  "w": {
    "ids": "weather/mainActivity"
  },
  "w2": {
    "ids": "aqi/main",
    "must": [
      "city_id"
    ],
    "city_id": {
      "name": "CITY_ID",
      "type": "int"
    }
  },
  "w24": {
    "ids": "aqi/main",
    "must": [
      "city_id"
    ],
    "city_id": {
      "name": "CITY_ID",
      "type": "int"
    }
  },
  "w3": {
    "ids": "aqi/warn",
    "must": [
      "pollution_remind"
    ],
    "pollution_remind": {
      "name": "pollution_remind",
      "type": "string"
    },
    "show_aqi": {
      "name": "show_aqi",
      "type": "int"
    }
  },
  "m20": {
    "ids": "login/userName"
  },
  "m21": {
    "ids": "login/snsCode"
  },
  "m22": {
    "ids": "login/bindMobile"
  },
  "m5": {
    "ids": "avatar/shop"
  },
  "c1": {
    "ids": "forum/topSquare",
    "must": [
      "square_id"
    ],
    "square_id": {
      "name": "square_id",
      "type": "long"
    }
  },
  "c3": {
    "ids": "forum/topic",
    "must": [
      "topic_id"
    ],
    "topic_id": {
      "name": "topic_id",
      "type": "string"
    }
  },
  "w5": {
    "ids": "index/index",
    "must": [
      "level",
      "title",
      "index_type"
    ],
    "level": {
      "name": "level",
      "type": "string"
    },
    "title": {
      "name": "title",
      "type": "string"
    },
    "index_type": {
      "name": "index_type",
      "type": "string"
    },
    "sense": {
      "name": "sense",
      "type": "string"
    }
  },
  "f": {
    "ids": "feed/zakerRoot",
    "must": [
      "city_id"
    ],
    "city_id": {
      "name": "city_id",
      "type": "int"
    }
  },
  "f0": {
    "ids": "feed/zakerDetail",
    "must": [
      "feed_id"
    ],
    "feed_id": {
      "name": "feeddetail_feed_id",
      "type": "long"
    },
    "feeddetail_from_type": {
      "name": "feeddetail_from_type",
      "type": "int"
    }
  },
  "m1": {
    "ids": "message/msgCenter"
  },
  "m10": {
    "ids": "message/msgDetail",
    "must": [
      "owner_msg_type"
    ],
    "owner_msg_type": {
      "name": "OwnerMessageTypes",
      "type": "int"
    },
    "from": {
      "name": "from",
      "type": "string"
    }
  },
  "w6": {
    "ids": "short/time",
    "must": [
      "caller"
    ],
    "caller": {
      "name": "caller",
      "type": "int"
    },
    "lat": {
      "name": "lat",
      "type": "double"
    },
    "lon": {
      "name": "lon",
      "type": "double"
    },
    "type": {
      "name": "type",
      "type": "int"
    }
  },
  "w7": {
    "ids": "typhoon/typhoonDetail",
    "must": [
      "typhoon_num",
      "typhoon_year",
      "feed_id"
    ],
    "typhoon_num": {
      "name": "typhoon_num",
      "type": "string"
    },
    "typhoon_year": {
      "name": "typhoon_year",
      "type": "int"
    },
    "feed_id": {
      "name": "feed_id",
      "type": "int"
    }
  },
  "w8": {
    "ids": "typhoon/typhoonMap",
    "must": [
      "typhoon_num"
    ],
    "typhoon_num": {
      "name": "typhoon_num",
      "type": "string"
    },
    "typhoonYear": {
      "name": "typhoonYear",
      "type": "int"
    },
    "typhoonName": {
      "name": "typhoonName",
      "type": "string"
    }
  },
  "w9": {
    "ids": "redleaves/redLeaves"
  },
  "w90": {
    "ids": "redleaves/leavesSubscribe"
  },
  "w91": {
    "ids": "redleaves/leavesDetail",
    "attraction_id": {
      "name": "attraction_id",
      "type": "int"
    }
  },
  "c": {
    "ids": "forum/forumMain"
  },
  "m4": {
    "ids": "mjappstore/appStore",
    "is_red_dot": {
      "name": "is_red_dot",
      "type": "int"
    }
  },
  "m6": {
    "ids": "activity/activityCenter"
  },
  "m7": {
    "ids": "skinshop/skinSelector"
  },
  "f1": {
    "ids": "feed/feedSubject",
    "must": [
      "subject_id"
    ],
    "subject_id": {
      "name": "subject_id",
      "type": "long"
    }
  },
  "f2": {
    "ids": "feed/videoDetail",
    "must": [
      "feed_id",
      "feed_url"
    ],
    "feed_id": {
      "name": "feeddetail_feed_id",
      "type": "long"
    },
    "feed_url": {
      "name": "feeddetail_feed_url",
      "type": "string"
    },
    "width": {
      "name": "feeddetail_width",
      "type": "int"
    },
    "height": {
      "name": "feeddetail_height",
      "type": "int"
    },
    "feeddetail_from_type": {
      "name": "feeddetail_from_type",
      "type": "int"
    },
    "feeddetail_rec_json": {
      "name": "feeddetail_rec_json",
      "type": "string"
    }
  },
  "l1": {
    "ids": "newlive/nearLive"
  },
  "l2": {
    "ids": "newlive/dynamicHome"
  },
  "l3": {
    "ids": "newlive/rank",
    "key_position": {
      "name": "key_position",
      "type": "int"
    }
  },
  "l4": {
    "ids": "newlive/pictureDetail",
    "must": [
      "id",
      "url",
      "width",
      "height"
    ],
    "id": {
      "name": "extra_data_picture_id",
      "type": "long"
    },
    "url": {
      "name": "extra_data_picture_url",
      "type": "string"
    },
    "width": {
      "name": "extra_data_picture_width",
      "type": "int"
    },
    "height": {
      "name": "extra_data_picture_height",
      "type": "int"
    }
  },
  "l5": {
    "ids": "newlive/subject",
    "must": [
      "subject_id"
    ],
    "subject_id": {
      "name": "extra_data_subject_id",
      "type": "long"
    }
  },
  "l6": {
    "ids": "newlive/promotion",
    "must": [
      "activity_id"
    ],
    "activity_id": {
      "name": "extra_data_activity_id",
      "type": "long"
    }
  },
  "l7": {
    "ids": "user/userCenter",
    "must": [
      "sns_id"
    ],
    "sns_id": {
      "name": "extra_data_sns_id",
      "type": "long"
    }
  },
  "l8": {
    "ids": "newlive/categoryWater",
    "must": [
      "id",
      "title"
    ],
    "id": {
      "name": "id_key",
      "type": "long"
    },
    "title": {
      "name": "id_title",
      "type": "string"
    }
  },
  "l9": {
    "ids": "newlive/cityWater",
    "must": [
      "id",
      "title"
    ],
    "id": {
      "name": "id_key",
      "type": "long"
    },
    "title": {
      "name": "id_title",
      "type": "string"
    }
  },
  "l10": {
    "ids": "newlive/promotionList"
  },
  "l11": {
    "ids": "newlive/subjectList"
  },
  "l12": {
    "ids": "credit/myCredit"
  },
  "l13": {
    "ids": "newlive/wordMoment"
  },
  "pt1": {
    "ids": "postcard/index"
  },
  "m31": {
    "ids": "user/certificate"
  },
  "o1": {
    "ids": "mjad/aliSdkWeb",
    "must": [
      "url"
    ],
    "url": {
      "name": "ali_bc_url",
      "type": "string"
    }
  },
  "fb0": {
    "ids": "correct/weatherCorrect",
    "must": [
      "from"
    ],
    "from": {
      "name": "from",
      "type": "string"
    }
  },
  "sh1": {
    "ids": "thunder/thunderStorm",
    "must": [
      "from"
    ],
    "from": {
      "name": "from",
      "type": "string"
    }
  },
  "m30": {
    "ids": "scenestore/sceneShop"
  },
  "v1": {
    "ids": "member/main"
  },
  "v2": {
    "ids": "member/order",
    "source": {
      "name": "source",
      "type": "int"
    }
  },
  "v4": {
    "ids": "short/snow",
    "open_from": {
      "name": "open_from",
      "type": "int"
    }
  },
  "v3": {
    "ids": "member/mycode"
  },
  "sf0": {
    "ids": "setting/feedback",
    "log_token": {
      "name": "log_token",
      "type": "string"
    },
    "log_type": {
      "name": "log_type",
      "type": "int"
    }
  },

  "sk1": {
    "ids": "moji/sakura"
  },

  "sk3": {
    "ids": "sakura/detail",
    "must": [
      "spot_id",
      "spot_type"
    ],
    "spot_type": {
      "name": "spot_type",
      "type": "int"
    },
    "spot_id": {
      "name": "spot_id",
      "type": "long"
    }
  },
  "sk5": {
    "ids": "moji/sakura_country",
    "must": [
      "spot_type"
    ],
    "spot_type": {
      "name": "spot_type",
      "type": "int"
    }
  },
  "sk4": {
    "ids": "moji/sakura_list",
    "must": [
      "spot_type",
      "sakura_type"
    ],
    "spot_type": {
      "name": "spot_type",
      "type": "int"
    },
    "sakura_type": {
      "name": "sakura_type",
      "type": "int"
    }
  },
  "al1": {
    "ids": "allergy/main",
    "city_id": {
      "name": "city_id",
      "type": "int"
    }
  }
}